EDKB12WS Reference

# ProjectInstaller Members

ProjectInstaller Class Constructors Events Methods Fields Properties See Also

The following tables list the members exposed by the ProjectInstaller type.

Constructors

| Name | Description
--- | --- | ---
| ProjectInstaller Constructor |

Top
Properties

| Name | Description
--- | --- | ---
| Container | (inherited from Component).
| Context | (inherited from Installer).
| HelpText | (inherited from Installer).
| Installers | (inherited from Installer).
| Parent | (inherited from Installer).
| Site | (inherited from Component).

Top
Methods

| Name | Description
--- | --- | ---
| Commit | (inherited from Installer).
| CreateObjRef | (inherited from MarshalByRefObject).
| Dispose | (Overloaded)
| Equals | (Overloaded) (inherited from Object).
| Finalize | (inherited from Component).
| GetHashCode | (inherited from Object).
| GetLifetimeService | (inherited from MarshalByRefObject).
| GetService | (inherited from Component).
| GetType | (Overloaded) (inherited from Object).
| InitializeComponent |
| InitializeLifetimeService | (inherited from MarshalByRefObject).
| Install | (inherited from Installer).
| MemberwiseClone | (Overloaded) (inherited from MarshalByRefObject).
| OnAfterInstall | (inherited from Installer).
| OnAfterRollback | (inherited from Installer).
| OnAfterUninstall | (inherited from Installer).
| OnBeforeInstall | (inherited from Installer).
| OnBeforeRollback | (inherited from Installer).
| OnBeforeUninstall | (inherited from Installer).
| OnCommitted | (inherited from Installer).
| OnCommitting | (inherited from Installer).
| ReferenceEquals | (inherited from Object).
| Rollback | (inherited from Installer).
| ToString | (inherited from Component).
| Uninstall | (inherited from Installer).

Top
Events

| Name | Description
--- | --- | ---
| AfterInstall | (inherited from Installer).
| AfterRollback | (inherited from Installer).
| AfterUninstall | (inherited from Installer).
| BeforeInstall | (inherited from Installer).
| BeforeRollback | (inherited from Installer).
| BeforeUninstall | (inherited from Installer).
| Committed | (inherited from Installer).
| Committing | (inherited from Installer).
| Disposed | (inherited from Component).

Top
Fields

| Name | Description
--- | --- | ---
| components |

Top
See Also

#### Reference

ProjectInstaller Class